LinuxQuestions.org
Visit the LQ Articles and Editorials section
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices

Reply
 
Search this Thread
Old 09-01-2007, 12:07 PM   #1
zaqwe
Member
 
Registered: Aug 2007
Distribution: Ubuntu 7.10
Posts: 43

Rep: Reputation: 15
Problem with driconf (gtk and pygtk)


When I install driconf it says this error
Code:
*** Warning: importing GTK version 2 doesn't work.
*** Warning: DRIconf will probably not work for the above reason(s).
Then I installed GTK2 and tried to run driconf and it came with this error
Code:
Traceback (most recent call last):
  File "/usr/local/bin/driconf", line 26, in <module>
    import driconf
  File "/usr/local/lib/driconf/driconf.py", line 24, in <module>
    import pygtk
ImportError: No module named pygtk
After that I installed pygtk too. But it didnt help and I tried to install driconf again, but it just said the same error even when GTK2 was installed..
Do I have to configure gtk some how so driconf is able to import it?

EDIT :
Now I installed from tgz files and get this error :
Code:
Traceback (most recent call last):
  File "/usr/local/bin/driconf", line 26, in <module>
    import driconf
  File "/usr/local/lib/driconf/driconf.py", line 26, in <module>
    import gtk
  File "/usr/lib/python2.5/site-packages/gtk-2.0/gtk/__init__.py", line 48, in <module>
    from gtk import _gtk
  File "/usr/lib/python2.5/site-packages/cairo/__init__.py", line 1, in <module>
    from _cairo import *
ImportError: /usr/lib/python2.5/site-packages/cairo/_cairo.so: undefined symbol: cairo_clip_extents

Last edited by zaqwe; 09-03-2007 at 06:24 AM.
 
Old 09-01-2007, 12:26 PM   #2
Road_map
Member
 
Registered: Jan 2007
Distribution: Slackware
Posts: 341

Rep: Reputation: 31
Did you install pygtk from sources or the *.tgz package?
 
Old 09-01-2007, 02:05 PM   #3
zaqwe
Member
 
Registered: Aug 2007
Distribution: Ubuntu 7.10
Posts: 43

Original Poster
Rep: Reputation: 15
Quote:
Originally Posted by Road_map View Post
Did you install pygtk from sources or the *.tgz package?
I installed it from sources.
 
Old 09-01-2007, 02:18 PM   #4
Road_map
Member
 
Registered: Jan 2007
Distribution: Slackware
Posts: 341

Rep: Reputation: 31
Sometimes, in previous releases, I remember that for some libraries was necessary to copy /var/cache/packages/<lib_name>.pc to /usr/lib/pkgconfig and again ldconfig.

I'm not very sure for this solution in Slackware 12.0, but you can try to find if you have pygtk*.pc in /usr/lib/pkgconfig.

Edit:
From /usr/local/lib/pkgconfig to /usr/lib/pkgconfig

Last edited by Road_map; 09-01-2007 at 03:36 PM.
 
Old 09-01-2007, 04:23 PM   #5
zaqwe
Member
 
Registered: Aug 2007
Distribution: Ubuntu 7.10
Posts: 43

Original Poster
Rep: Reputation: 15
Quote:
Originally Posted by Road_map View Post
Sometimes, in previous releases, I remember that for some libraries was necessary to copy /var/cache/packages/<lib_name>.pc to /usr/lib/pkgconfig and again ldconfig.

I'm not very sure for this solution in Slackware 12.0, but you can try to find if you have pygtk*.pc in /usr/lib/pkgconfig.

Edit:
From /usr/local/lib/pkgconfig to /usr/lib/pkgconfig
No difference after that.. And yes, I have pygtk*.pc in there.
 
Old 09-02-2007, 11:59 AM   #6
zaqwe
Member
 
Registered: Aug 2007
Distribution: Ubuntu 7.10
Posts: 43

Original Poster
Rep: Reputation: 15
Does anyone have any ideas?
 
Old 09-02-2007, 04:25 PM   #7
zaqwe
Member
 
Registered: Aug 2007
Distribution: Ubuntu 7.10
Posts: 43

Original Poster
Rep: Reputation: 15
Now I installed them from .tgz files and i get this error when running driconf
Code:
Traceback (most recent call last):
  File "/usr/local/bin/driconf", line 26, in <module>
    import driconf
  File "/usr/local/lib/driconf/driconf.py", line 26, in <module>
    import gtk
  File "/usr/lib/python2.5/site-packages/gtk-2.0/gtk/__init__.py", line 48, in <module>
    from gtk import _gtk
  File "/usr/lib/python2.5/site-packages/cairo/__init__.py", line 1, in <module>
    from _cairo import *
ImportError: /usr/lib/python2.5/site-packages/cairo/_cairo.so: undefined symbol: cairo_clip_extents
 
Old 09-03-2007, 07:46 AM   #8
zaqwe
Member
 
Registered: Aug 2007
Distribution: Ubuntu 7.10
Posts: 43

Original Poster
Rep: Reputation: 15
bring up my post.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Driconf wont install on gentoo linux cause some openglpy error Mighty_Pooh Linux - Hardware 1 04-09-2007 11:41 AM
driconf on debian Etch fails...env variable problem deepclutch Debian 1 07-22-2006 06:20 PM
PyGTK sailu_mvn Programming 1 02-28-2005 10:58 PM
Pygtk sailu_mvn Programming 0 02-28-2005 07:34 AM
installing pygtk... cant find gtk true_atlantis Linux - Software 8 01-15-2004 01:37 PM


All times are GMT -5. The time now is 03:07 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration